#!/bin/sh

set -e
test $DEBIAN_SCRIPT_DEBUG && set -v -x

# summary of how this script can be called:
#        * <new-preinst> `install'
#        * <new-preinst> `install' <old-version>
#        * <new-preinst> `upgrade' <old-version>
#        * <old-preinst> `abort-upgrade' <new-version>

GENCONF="/etc/snort/snort.conf" # generic configuration file
DBCONF="/etc/snort/database.conf" # deprecated

case "$1" in
    install)
        # Do nothing
    ;;
    upgrade)
         # versions previous to 2.9.3 created the /etc/snort/database.conf
         # file for configuration
         #if dpkg --compare-versions "$2" le "2.9.3" &&  [ -e "$DBCONF" ] && ! [ -s "$DBCONF" ] 
         #then
         #
         # should show a warning to the user if not empty?
         # (it will be deprecated anyway and will not be included in snort.conf)
         #
         #fi
         # Remove the database configuration file it is exists and is empty
         if  [ -e "$DBCONF" ] && ! [ -s "$DBCONF" ] 
         then
            if dpkg-maintscript-helper supports rm_conffile; then
                dpkg-maintscript-helper rm_conffile $DBCONF 2.9.3~ snort-common -- "$@" 
            else
                rm -f $DBCONF
            fi
         fi

        # rename probably existing cron job with old name
        # try first to use dpkg-maintscript-helper
        if dpkg-maintscript-helper supports mv_conffile; then
            dpkg-maintscript-helper mv_conffile /etc/cron.daily/5snort /etc/cron.daily/snort-common 2.9.15.1-5~ snort-common -- "$@"
        else
            # Manually move the file, this will generate a dpkg prompt to
            # approve the changes
            if [ -e /etc/cron.daily/5snort ]; then
                 mv /etc/cron.daily/5snort /etc/cron.daily/snort-common
            fi
        fi

    ;;
    configure)
        # Do nothing
    ;;
    abort-upgrade)
    ;;
    *) 
        echo "preinst called with unknown argument \`$1'" >&2
        exit 0
    ;;
esac

# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.

#DEBHELPER#

exit 0

